<?
$ESCORT_TYPES = [
    __('all_category_l'),
    __('regular_escorts'),
    __('bdsm'),
    __('massage')
];

$GENDER = [
    __('female'),
    __('male'),
    __('trans')
];

?>

<? if ($this->items): ?>
    <? $cityModel = new Cubix_Geography_Cities() ?>
    <? foreach ($this->items as $item): ?>
        <? $suffix = 'city-alerts-modal-edit' . $item['id']; ?>
        <!-- Edit Model -->
        <div id="edit-city-alert-modal-<?= $item['id'] ?>" class="modal show" aria-hidden="true">
            <div class="modal-dialog">
                <div class="close-modal d-flex align-items-center mobile" data-dismiss="modal">
                    <i class="fas fa-arrow-left"></i>
                    <div><?= __('back') ?></div>
                </div>
                <div class="modal-content box-section">
                    <!-- Error -->
                    <div class="add-error-msg text-danger d-none"></div>
                    <!-- / -->

                    <div class="autocomplete-container d-flex flex-grow-1 mb-10" autocomplete="off">
                        <input type="text" class="alert_subject" value="<?= $item['subject']?>" placeholder="<?= __('alert_subject_exemple')?>">
                    </div>
                    <div class="clear mb-10"></div>
                    <div class="d-flex div-2-cols">
                        <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                            <div class="dropdown">
                                <select class="single-option-select d-none escort_type">
                                    <option <?= $item['escort_type'] == 0 ? 'selected="selected"' : ''; ?> value="0"><?= __('all_category_u') ?></option>
                                    <option <?= $item['escort_type'] == 1 ? 'selected="selected"' : ''; ?> value="1"><?= __('regular_escorts') ?></option>
                                    <option <?= $item['escort_type'] == 2 ? 'selected="selected"' : ''; ?> value="2"><?= __('bdsm') ?></option>
                                    <option <?= $item['escort_type'] == 3 ? 'selected="selected"' : ''; ?> value="3"><?= __('massage') ?></option>
                                </select>
                                <a class="dropdown-toggle" id="countryFilter-<?= $suffix ?>" data-toggle="dropdown"
                                   aria-haspopup="true" aria-expanded="false">
                                    <label><?= __('category') ?></label>
                                    <span class="dropdown-toggle-val uppercase"><?= $ESCORT_TYPES[$item['escort_type']] ?></span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey"
                                    data-type="countryFilter-<?= $suffix ?>" x-placement="bottom-start"
                                    style="position: absolute; transform: translate3d(0px, 50px, 0px); top: 0px; left: 0px; will-change: transform;">
                                    <li data-val="0"><a href="javascript:void(0)"><?= __('all_category') ?></a></li>
                                    <li data-val="1"><a href="javascript:void(0)"><?= __('regular_escorts') ?></a></li>
                                    <li data-val="2"><a href="javascript:void(0)"><?= __('bdsm') ?></a></li>
                                    <li data-val="3"><a href="javascript:void(0)"><?= __('massage') ?></a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="d-flex dropdown-selection dropdown-rates single-option justify-content-between align-items-center flex-fill">
                            <div class="dropdown">
                                <select class="single-option-select d-none escort_gender">
                                    <option value=""></option>
                                    <option <?= $item['escort_gender'] == 0 ? 'selected="selected"' : '';?> value="0"><?= __('female') ?></option>
                                    <option <?= $item['escort_gender'] == 1 ? 'selected="selected"' : '';?> value="1"><?= __('male') ?></option>
                                    <option <?= $item['escort_gender'] == 2 ? 'selected="selected"' : '';?> value="2"><?= __('trans') ?></option>
                                </select>
                                <a class="dropdown-toggle" id="genderFilter-<?= $suffix ?>" data-toggle="dropdown" aria-haspopup="true"
                                   aria-expanded="false">
                                    <label><?= __('gender') ?></label>
                                    <span class="dropdown-toggle-val uppercase"><?= $GENDER[$item['escort_gender']] ?></span></span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="genderFilter-<?= $suffix ?>">
                                    <li data-val="0"><a href="javascript:void(0)"><?= __('female') ?></a></li>
                                    <li data-val="1"><a href="javascript:void(0)"><?= __('male') ?></a></li>
                                    <li data-val="2"><a href="javascript:void(0)"><?= __('trans') ?></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div>
                        <input type="checkbox" id="send_email-inp-<?=$item['id']?>" class="send_email-inp" value="1" name="send_email" <?= ($item['send_email'] == 1) ? 'checked="checked"' : ''; ?>>
                        <label for="send_email-inp-<?=$item['id']?>">
                            <?= __('also_send_me_email') ?>
                        </label>
                    </div>

                    <div class="clear mb-20"></div>

                    <label><?= __('show_up_in') ?>:</label>
                    <?
                    $cities = $cityModel->getByCountryId($item['country_id']);
                    $selected_cities = [];
                    if ($item['all_city'] != 1) {
                        $city1 = $item['cities'][0];
                        $city2 = $item['cities'][1];
                        $city3 = $item['cities'][2];
                    }
                    ?>
                    <? $model = new Cubix_Geography_Countries() ?>
                    <div class="d-flex">
                        <div class="dropdown-selection dropdown-with-radio single-option w-100">
                            <div class="dropdown">
                                <select class="single-option-select d-none country_id" data-group="#edit-city-alert-modal-<?= $item['id'] ?>">
                                    <option value=""><?= __('country') ?></option>
                                    $primary_country = null;
                                    <? foreach ($model->ajaxGetAll(false) as $country): ?>
                                    <? if($item['country_id'] == $country->id) $primary_country = $country->title ?>
                                        <option <?= $item['country_id'] == $country->id ? 'selected="selected"' : ''; ?>
                                                value="<?= $country->id ?>"><?= $country->title ?>&nbsp;&nbsp;
                                        </option>
                                    <? endforeach ?>
                                </select>
                                <a class="dropdown-toggle" id="countryFilter-<?= $item['id'] ?>" data-toggle="dropdown" aria-haspopup="true"
                                   aria-expanded="false">
                                    <label><?= __('country') ?></label>
                                    <span class="dropdown-toggle-val uppercase">
                                        <?= $primary_country ? $primary_country : __('nothing_selected_html') ?></span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="countryFilter-<?= $item['id'] ?>">
                                    <? foreach ($model->ajaxGetAll(false) as $country): ?>
                                        <li data-val="<?= $country->id ?>"><a href="javascript:void(0)"><?= $country->title ?>&nbsp;&nbsp;</a>
                                        </li>
                                    <? endforeach ?>
                                </ul>
                            </div>
                        </div>

                    </div>
                    <div class="d-flex">
                        <!-- City 1-->
                        <? $primary_city_1 = null; ?>
                        <div class="dropdown-selection dropdown-with-radio single-option w-100">
                            <div class="dropdown">
                                <select class="single-option-select d-none city_id_1" data-group="#edit-city-alert-modal-<?= $item['id'] ?>">
                                    <option value="-1"><?= __('all_cities') ?></option>
                                    <? foreach ($cities as $city): ?>
                                        <? if($item['all_city'] != 1 && $city->id == $city1['city_id']) {
                                            $selected_cities[] = $primary_city_1 = $city->title;
                                        } ?>
                                        <option <?= ($item['all_city'] != 1 && $city->id == $city1['city_id']) ? 'selected="selected"' : ''; ?>
                                                value="<?= $city->id ?>"><?= $city->title ?></option>
                                    <? endforeach ?>
                                </select>
                                <a class="dropdown-toggle" id="cityFilter-1-<?= $suffix ?>" data-toggle="dropdown" aria-haspopup="true"
                                   aria-expanded="false">
                                    <label><?= __("city") ?> 1</label>
                                    <span class="dropdown-toggle-val uppercase">
                                        <?= $primary_city_1 ? $primary_city_1 : __('all_cities') ?></span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="cityFilter-1-<?= $suffix ?>">
                                    <li data-val="-1"><a href="javascript:void(0)"><?= __('all_cities') ?></a></li>
                                    <? foreach ($cities as $city): ?>
                                        <li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a></li>
                                    <? endforeach ?>
                                </ul>
                            </div>
                        </div>
                        <!-- /-->
                    </div>
                    <div class="d-flex">
                        <!-- City 2 -->
                        <? $primary_city_2 = null; ?>
                        <div class="dropdown-selection dropdown-with-radio single-option w-100">
                            <div class="dropdown">
                                <select class="single-option-select d-none city_id_2" data-group="#edit-city-alert-modal-<?= $item['id'] ?>">
                                    <option value="">-</option>
                                    <? foreach ($cities as $city): ?>
                                        <? if($item['all_city'] != 1 && $city->id == $city2['city_id']) {
                                            $selected_cities[] = $city->title;
                                            $primary_city_2 = $city->title;
                                        } ?>
                                        <option <?= ($item['all_city'] != 1 && $city->id == $city2['city_id']) ? 'selected="selected"' : ''; ?>
                                                value="<?= $city->id ?>"><?= $city->title ?></option>
                                    <? endforeach ?>
                                </select>
                                <a class="dropdown-toggle" id="cityFilter-2-<?= $suffix ?>" data-toggle="dropdown" aria-haspopup="true"
                                   aria-expanded="false">
                                    <label><?= __("city") ?> 2</label>
                                    <span class="dropdown-toggle-val uppercase"><?= $primary_city_2 ? $primary_city_2 : __('nothing_selected_html') ?></span></span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="cityFilter-2-<?= $suffix ?>">
                                    <? foreach ($cities as $city): ?>
                                        <li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a></li>
                                    <? endforeach ?>
                                </ul>
                            </div>
                        </div>
                        <!-- /-->


                    </div>
                    <div class="d-flex">
                        <!-- City 3-->
                        <? $primary_city_3 = null; ?>
                        <div class="dropdown-selection dropdown-with-radio single-option w-100">
                            <div class="dropdown">
                                <select class="single-option-select d-none city_id_3" data-group="#edit-city-alert-modal-<?= $item['id'] ?>">
                                    <option value="">-</option>
                                    <? foreach ($cities as $city): ?>
                                        <? if($item['all_city'] != 1 && $city->id == $city3['city_id']){
                                            $selected_cities[] = $city->title;
                                            $primary_city_3 = $city->title;
                                        } ?>
                                        <option <?= ($item['all_city'] != 1 && $city->id == $city3['city_id']) ? 'selected="selected"' : ''; ?>
                                                value="<?= $city->id ?>"><?= $city->title ?></option>
                                    <? endforeach ?>
                                </select>
                                <a class="dropdown-toggle" id="cityFilter-3-<?= $suffix ?>" data-toggle="dropdown" aria-haspopup="true"
                                   aria-expanded="false">
                                    <label><?= __("city") ?> 3</label>
                                    <span class="dropdown-toggle-val uppercase"><?= $primary_city_2 ? $primary_city_3 : __('nothing_selected_html') ?></span>
                                    <span class="caret"></span>
                                </a>
                                <ul class="dropdown-menu dropdown-custom dropdown-small dropdown-grey" data-type="cityFilter-3-<?= $suffix ?>">
                                    <? foreach ($cities as $city): ?>
                                        <li data-val="<?= $city->id ?>"><a href="javascript:void(0)"><?= $city->title ?></a></li>
                                    <? endforeach ?>
                                </ul>
                            </div>
                        </div>
                        <!-- /-->
                    </div>

                    <div class="button-container d-flex justify-content-between justify-content-md-end align-items-center">
                        <a href="#" data-id="<?= $item['id'] ?>" class="save-alert-trigger btn btn-brown btn-big uppercase"><?= __('modify') ?></a>
                    </div>
                </div>
            </div>
        </div>
        <!-- / -->

        <div class="my-alert no-flex justify-content-between">
            <div class="alert-name weight"><?= $item['subject']; ?></div>
            <div class="clear mb-10"></div>
            <div><span class="text-grey"><?= __('alert_me_when') ?></span> <span
                        class="alert-for"><?= $ESCORT_TYPES[$item['escort_type']] ?>, <?= $GENDER[$item['escort_gender']] ?></span>
            </div>
            <div><span class="text-grey"><?= __('show_up_in') ?>:</span> <span class="show-for"><?= $primary_country ?> <?= count($selected_cities) ? '/' . join(',', $selected_cities) : '/' . __('all_cities') ?></span>
            </div>
            <div><span class="text-grey"><?= __('also_send_me_email') ?>:</span>
                <span class="email-for">
                <?= ($item['send_email'] == 1) ? __('yes') : __('no'); ?>
            </span>
            </div>
            <div class="clear mb-10"></div>
            <div class="mobile mb-20"></div>
            <div class="d-flex justify-content-end">
                <? if ($item['enabled'] == 1): ?>
                    <a href="#" data-id="<?= $item['id'] ?>" class="suspend-alert-trigger text-grey text-uppercase weight mr-10"><?= __('suspend') ?></a>
                <? else: ?>
                    <a href="#" data-id="<?= $item['id'] ?>" class="resume-alert-trigger text-grey text-uppercase weight mr-10"><?= __('resume') ?></a>
                <? endif; ?>

                <a href="#" data-id="<?= $item['id'] ?>" class="remove-alert-trigger text-uppercase weight mr-10"><?= __('remove') ?></a>
                <a href="#" data-toggle="modal" data-target="#edit-city-alert-modal-<?= $item['id'] ?>"  class="text-uppercase weight"><?= __('modify') ?></a>
            </div>
            <div class="mobile mb-20"></div>
        </div>
    <? endforeach; ?>
<? else: ?>
    <p><?= __('no_alerts_yet') ?></p>
<? endif; ?>